6.0.0-git
2019-04-24

[#8615] Can't create new Address Books
Summary Can't create new Address Books
Queue Turba
Queue Version 2.3.2
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester scaramuzza (at) essedici (dot) it
Created 2009-09-30 (3493 days ago)
Due
Updated 2010-01-13 (3388 days ago)
Assigned 2009-09-30 (3493 days ago)
Resolved 2009-12-15 (3417 days ago)
Milestone
Patch No

History
2010-01-13 09:36:21 quinn (at) strangecode (dot) com Comment #15 Reply to this comment
I can't find this issue documented anywhere. Have you seen it, or 
should I open a new bug ticket?
2010-01-13 08:59:28 Jan Schneider Comment #14 Reply to this comment
This is a completely different issue.
2010-01-13 07:29:50 quinn (at) strangecode (dot) com Comment #13 Reply to this comment
I've tried applying the patch from SVN 1.1.2.3 mentioned below, and 
still have this issue. The error displayed on screen now displays 
"MDB2 Error: no such field" instead of "DB Error: not found". Here's 
an example of the errors in horde.log:

Jan 13 01:27:33 HORDE [error] [turba] MDB2 Error: no such field: 
_doQuery: [Error message: Could not execute statement]
[Last executed query: INSERT INTO turba_shares_seq (id) VALUES (NULL)]
[Native code: 1054]
[Native message: Unknown column 'id' in 'field list']
  [pid 11165 on line 987 of 
"/home/webmail/webmail.strangecode.com/html/horde/lib/Horde/Share/sql.php"]
Jan 13 01:27:33 HORDE [error] [turba] MDB2 Error: no such field: 
_doQuery: [Error message: Could not execute statement]
[Last executed query: INSERT INTO turba_shares_seq (id) VALUES (NULL)]
[Native code: 1054]
[Native message: Unknown column 'id' in 'field list']
  [pid 11165 on line 442 of 
"/home/webmail/webmail.strangecode.com/html/horde/turba/lib/Turba.php"]
Jan 12 23:27:33 HORDE [error] [kronolith] MDB2 Error: no such field: 
_doQuery: [Error message: Could not execute statement]
[Last executed query: INSERT INTO kronolith_shares_seq (id) VALUES (NULL)]
[Native code: 1054]
[Native message: Unknown column 'id' in 'field list']
  [pid 11165 on line 987 of 
"/home/webmail/webmail.strangecode.com/html/horde/lib/Horde/Share/sql.php"]
Jan 12 23:27:33 HORDE [error] [nag] MDB2 Error: no such field: 
_doQuery: [Error message: Could not execute statement]
[Last executed query: INSERT INTO nag_shares_seq (id) VALUES (NULL)]
[Native code: 1054]
[Native message: Unknown column 'id' in 'field list']
  [pid 11165 on line 987 of 
"/home/webmail/webmail.strangecode.com/html/horde/lib/Horde/Share/sql.php"]

2010-01-13 07:26:01 quinn (at) strangecode (dot) com Comment #12 Reply to this comment
I'm having this issue as well. Using Turba 2.3.1. Existing address 
books work fine, but cannot create new address books.

I'm getting errors such as:

Jan 13 00:57:37 HORDE [error] [turba] MDB2 Error: no such field: 
_doQuery: [Error message: Could not execute statement]
[Last executed query: INSERT INTO turba_shares_seq (id) VALUES (NULL)]
[Native code: 1054]
[Native message: Unknown column 'id' in 'field list']
  [pid 13153 on line 987 of "/home/webmail/html/horde/lib/Horde/Share/sql.php"]

Adding the $conf['sql'] variable to the top of 
horde/turba/config/sources.php doesn't help.

Any suggestions?

Thanks,
Quinn
2009-12-15 11:13:00 Jan Schneider Assigned to Jan Schneider
 
2009-12-15 11:12:55 Jan Schneider State ⇒ Resolved
 
2009-12-15 11:12:34 CVS Commit Comment #11 Reply to this comment
Changes have been made in CVS for this ticket:

Override scope. Probably fixes bug #8615.
http://cvs.horde.org/diff.php/turba/lib/Forms/CreateAddressBook.php?rt=horde&r1=1.1.2.2&r2=1.1.2.3&ty=u
2009-10-26 15:53:00 Jan Schneider Comment #10
State ⇒ Not A Bug
Reply to this comment
Probably a follow-up error on the botched upgrade (see ticket #8607).
2009-10-02 17:06:16 scaramuzza (at) essedici (dot) it Comment #9 Reply to this comment
... in php_error.log i got:

[01-Oct-2009 15:41:19] PHP Notice:  Undefined variable: conf in
/home/server/www/htdocs/horde-webmail-1.2.4/turba/config/sources.php
on line 141
actually i can create new address books after having added



$conf['sql']['persistent'] = false;

$conf['sql']['username'] = 'dbuname';

$conf['sql']['password'] = 'dbpassword';

$conf['sql']['socket'] = '/tmp/mysql.sock';

$conf['sql']['protocol'] = 'unix';

$conf['sql']['database'] = 'dbname';

$conf['sql']['charset'] = 'iso-8859-1';

$conf['sql']['ssl'] = false;

$conf['sql']['splitread'] = false;

$conf['sql']['phptype'] = 'mysql';



strating from line 131 of /turba/config/sources.php

just before

$cfgSources['localsql'] = array(


2009-10-01 14:51:43 scaramuzza (at) essedici (dot) it Comment #8 Reply to this comment
uhm...



Administration/Setup/Horde/Logging/Logging 
Settings:$conf[log][priority] = PEAR_LOG_DEBUG

Administration/Setup/Horde/General/PHP Settings:$conf[debug_level] = E_ALL



horde-webmail-1.2.4/lib/Horde/Notification.php:

...

172:        if (is_a($event, 'PEAR_Error')) {

173:            if (!isset($type)) {

174:                $type = 'horde.error';

175:            }

176: var_dump($event);

177: // fscara added 20091001

178:           Horde::logMessage($event, __FILE__, __LINE__, PEAR_LOG_DEBUG);

179:        }

...



after having tried the creation of a new address book i gor the same 
error, no particular output on the web page or in the page source and 
horde.log:

Oct 01 15:41:19 HORDE [debug] [turba] Hook _horde_hook_share_init in 
application horde not called. [pid 18257 on line 1713 of 
"/home/server/www/htdocs/horde-webmail-1.2.4/lib/Horde.php"]

Oct 01 15:41:19 HORDE [debug] [turba] DB Error: not found [pid 18257 
on line 178 of 
"/home/server/www/htdocs/horde-webmail-1.2.4/lib/Horde/Notification.php"]

Oct 01 15:41:19 HORDE [debug] [turba] Max memory usage: 2359296 bytes 
[pid 18257 on line 339 of 
"/home/server/www/htdocs/horde-webmail-1.2.4/lib/Horde/Registry.php"]

Oct 01 15:41:19 HORDE [debug] [turba] Hook _horde_hook_share_init in 
application horde not called. [pid 6777 on line 1713 of 
"/home/server/www/htdocs/horde-webmail-1.2.4/lib/Horde.php"]

Oct 01 15:41:19 HORDE [debug] [turba] SQL query by 
Horde_Alarm_sql::_list(): SELECT alarm_id, alarm_uid, alarm_start, 
alarm_end, alarm_methods, alarm_params, alarm_title, alarm_text, 
alarm_snooze, alarm_internal FROM horde_alarms WHERE alarm_dismissed = 
0 AND ((alarm_snooze IS NULL AND alarm_start <= ?) OR alarm_snooze <= 
?) AND (alarm_end IS NULL OR alarm_end >= ?) AND (alarm_uid = ? OR 
alarm_uid = ?) ORDER BY alarm_start, alarm_end [pid 6777 on line 148 
of 
"/home/server/www/htdocs/horde-webmail-1.2.4/lib/Horde/Alarm/sql.php"]

Oct 01 15:41:19 HORDE [debug] [turba] Max memory usage: 2097152 bytes 
[pid 6777 on line 339 of 
"/home/server/www/htdocs/horde-webmail-1.2.4/lib/Horde/Registry.php"]





I see no var_dump() output but in php_error.log i got:



[01-Oct-2009 15:41:19] PHP Notice:  Undefined variable: conf in 
/home/server/www/htdocs/horde-webmail-1.2.4/turba/config/sources.php 
on line 141



     f.
2009-10-01 12:51:04 Jan Schneider Comment #7 Reply to this comment
Unfortunately that still doesn't contain more useful information. Can 
you please put a:

var_dump($event);

on line 176 of lib/Horde/Notification.php and post the output here?
2009-09-30 20:19:23 scaramuzza (at) essedici (dot) it Comment #6 Reply to this comment
Check your horde log file, usually /tmp/horde.log.
Hi Jan,

  I'm sorry that I didn't realize before that

Administration/Setup/Horde/Logging/Logging Settings:$conf[log][priority]

has precedence over

Administration/Setup/Horde/General/PHP Settings:$conf[debug_level]



I've just set the former to PEAR_LOG_DEBUG and now i got some more 
logs in horde.log



When I try to create a new address book:

Sep 30 21:39:02 HORDE [debug] [turba] Hook _horde_hook_share_init in 
application horde not called. [pid 1049 on line 1713 of 
"/home/server/www/htdocs/horde-webmail-1.2.4/lib/Horde.php"]

Sep 30 21:39:02 HORDE [debug] [turba] DB Error: not found [pid 1049 on 
line 176 of 
"/home/server/www/htdocs/horde-webmail-1.2.4/lib/Horde/Notification.php"]

Sep 30 21:39:02 HORDE [debug] [turba] Max memory usage: 2359296 bytes 
[pid 1049 on line 339 of 
"/home/server/www/htdocs/horde-webmail-1.2.4/lib/Horde/Registry.php"]

Sep 30 21:39:02 HORDE [debug] [turba] Hook _horde_hook_share_init in 
application horde not called. [pid 1049 on line 1713 of 
"/home/server/www/htdocs/horde-webmail-1.2.4/lib/Horde.php"]

Sep 30 21:39:02 HORDE [debug] [turba] SQL query by 
Horde_Alarm_sql::_list(): SELECT alarm_id, alarm_uid, alarm_start, 
alarm_end, alarm_methods, alarm_params, alarm_title, alarm_text, 
alarm_snooze, alarm_internal FROM horde_alarms WHERE alarm_dismissed = 
0 AND ((alarm_snooze IS NULL AND alarm_start <= ?) OR alarm_snooze <= 
?) AND (alarm_end IS NULL OR alarm_end >= ?) AND (alarm_uid = ? OR 
alarm_uid = ?) ORDER BY alarm_start, alarm_end [pid 1049 on line 148 
of 
"/home/server/www/htdocs/horde-webmail-1.2.4/lib/Horde/Alarm/sql.php"]

Sep 30 21:39:02 HORDE [debug] [turba] Max memory usage: 2097152 bytes 
[pid 1049 on line 339 of 
"/home/server/www/htdocs/horde-webmail-1.2.4/lib/Horde/Registry.php"]



I'd like to check conf and prefs settings for Turba, but I don't know 
which the correct values should be. The previous (working) 
installation used a MySQL backend for turba_objects and turba_shares.

Best Regards

   federico scaramuzza
2009-09-30 13:15:50 scaramuzza (at) essedici (dot) it Comment #5 Reply to this comment
How did you upgrade to 1.2.4 and from which version?
horde-webmail-1.0.4 was in /home/server/www/htdocs/horde-webmail-1.0.4 
    (OLDRELEASE)

and a symlink  /home/server/www/htdocs/horde pointed to 
/home/server/www/htdocs/horde-webmail-1.0.4



to upgrade i backed up everything,

then i created /home/server/www/htdocs/horde-webmail-1.2.4  (NEWRELEASE)

and moved the symlink to the new folder

then cd to the folder and

./scripts/setup.php  with option 5) upgrade

the script failed because it could not copy OLDRELEASE/config/conf.php 
to NEWRELEASE/horde/../config/conf.php

i created a symlink NEWRELEASE/horde to NEWRELEASE/.

and the script executed without any hassle



after having upgraded i had to manually edit some 
NEWRELEASE/*/config/*.php files because instead of having just one set 
of UPDATE sections they got 41 (ticket 8607).
2009-09-30 11:47:34 Jan Schneider Comment #4 Reply to this comment
How did you upgrade to 1.2.4 and from which version?
2009-09-30 11:43:12 scaramuzza (at) essedici (dot) it Comment #3 Reply to this comment
Check your horde log file, usually /tmp/horde.log.
// $Horde: horde/config/conf.xml,v 1.74.2.88 2009/09/02 08:21:46 jan Exp $

$conf['vhosts'] = false;

// 20090929 $conf['debug_level'] = E_ALL & ~E_NOTICE;

$conf['debug_level'] = E_ALL;



horde.log has only NOTICE messages about users' login/logout
2009-09-30 11:11:21 Jan Schneider Comment #2
State ⇒ Feedback
Priority ⇒ 1. Low
Reply to this comment
Check your horde log file, usually /tmp/horde.log.
2009-09-30 10:53:49 scaramuzza (at) essedici (dot) it Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 3. High
Summary ⇒ Can't create new Address Books
Queue ⇒ Turba
Milestone ⇒
Patch ⇒ No
New Attachment: turba_new_addressbook.jpg Download
Reply to this comment
On a recently updated (without any errors) Horde-Webmail-1.2.4 users 
can't create new address books.

Existing address books are ok.

I'm ready to give additional information about the system and the 
actual configuration.

Best regards

    federico scaramuzza

Saved Queries